Bug 143136 - Missing python site-packages dependancy on x86_64
Missing python site-packages dependancy on x86_64
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
: 143520 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-12-16 14:43 EST by Pekka Pietikäinen
Modified: 2009-03-27 19:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-20 05:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec patch (1.31 KB, patch)
2004-12-22 08:12 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Pekka Pietikäinen 2004-12-16 14:43:29 EST
Description of problem:

Linux the.cabal.fi 2.6.9-1.1032_FC4 #1 Mon Dec 13 01:08:44 EST 2004 x86_64
x86_64 x86_64 GNU/Linux
[root@the yum.repos.d]# rpm -Uvh ~pp/bittorrent-3.4.1-2.a.noarch.rpm
warning: /home/pp/bittorrent-3.4.1-2.a.noarch.rpm: V3 DSA signature: NOKEY, key
ID 1ac70ce6
error: Failed dependencies:
        /usr/lib/python2.3/site-packages is needed by bittorrent-3.4.1-2.a.noarch

Should probably be lib64 :-)

Or is it python that is broken?

>>> from distutils.sysconfig import get_python_lib
>>> print get_python_lib()

which isn't provided by the x86_64 python rpm.

(in any case it's the bittorrent spec file that gets it wrong even if python
does return the wrong thing so filing it here)
Comment 1 Michael Schwendt 2004-12-21 22:47:35 EST
*** Bug 143520 has been marked as a duplicate of this bug. ***
Comment 2 Michael Schwendt 2004-12-22 08:12:26 EST
Created attachment 109006 [details]
spec patch

Would these sort of standard spec modifications be enough already to fix it?
(please rpmbuild --rebuild if you like)
Comment 3 Matthias Saou 2005-01-13 15:41:18 EST
Nope :

RPM build errors:
    File not found:
    File not found by glob:
    File not found by glob:
    File not found by glob:

As this is a noarch package, it is normal for the python stuff to be
in /usr/lib and not /usr/lib64. You can check the epydoc spec to see
how Ville dealt with that (noarch on x86_64).
Comment 4 Michael Schwendt 2005-01-13 16:39:56 EST
Ok, I missed that it's noarch. Still this is necessary:

-Requires:       python, %{python_sitelib}
+Requires:       python
+Requires:	python-abi = %(%{__python} -c "import sys ; print
Comment 5 Matthias Saou 2005-01-14 12:34:50 EST
Well, then go ahead an apply your above patch, but replacing
python_sitearch by python_sitelib and get_python_lib(1) by
get_python_lib() as this will fix the fact that it's noarch (thus
"lib" even on x86_64).
This solution is from Ville, and it works for me.
Comment 6 Michael Schwendt 2005-01-14 13:19:35 EST
If you look closely, my patch does all that already. Only bug was that
I didn't pay attention that we're noarch here and hence used
arch-specific get_python_lib.
Comment 7 Matthias Saou 2005-01-14 13:38:02 EST
Argh. OK, I now realize that I completely misunderstood just about
everything. So yes, the trivial changes from comment #4 are all that
is needed.
Comment 8 Michael Schwendt 2005-01-20 05:10:39 EST
Considered fixed in bittorrent 3.4.1-3.a.
Comment 9 Charlie Brady 2009-03-27 19:09:38 EDT
python_sitearch macro is still needed for non-noarch python lib builds on x86_64, and doesn't appear to be in FC9 standard macros. Same macros shouldn't be required in each python-xxx spec file.

Note You need to log in before you can comment on or make changes to this bug.